@font-face {
	font-family: Montserrat;
	src: url('../fonts/Montserrat-Regular.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}
@font-face {
	font-family: Montserrat;
	src: url('../fonts/Montserrat-Medium.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}
@font-face {
	font-family: Montserrat;
	src: url('../fonts/Montserrat-Bold.ttf') format('truetype');
	font-weight: 700;
	font-style: normal;
}

:root {
	--background-color: #081c45;
	--header: #040e21;
	--txt: #fff;
	--btn: #315ce9;
	--border: 18px;
	--container: #08011f;
	--link: #315ce9;
	--p-txt: #e8e6ff;
	--vitrina: #1d1a3a;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	scroll-padding-top: 120px;
	scroll-behavior: smooth;
}

body {
	font-family: 'Montserrat', sans-serif;
	line-height: 1.6;
	color: var(--txt);
	background-color: var(--background-color);
	font-size: 1rem;
}

main {
	max-width: 80%;
	margin: 10px auto;
}

img,
video {
	max-width: 100%;
	height: auto;
	display: block;
}

a {
	text-decoration: none;
	color: var(--link);
	transition: color 0.3s ease;
}

a:hover {
	color: var(--btn);
}

.accent-link {
	color: var(--btn);
}

h1 {
	font-size: 2.6rem;
	color: var(--txt);
	text-shadow: 0 6px 16px rgb(0, 0, 0);
	border-left: 4px solid var(--link);
	padding-left: 10px;
}

h2 {
	font-size: 1.6rem;
	margin-top: 10px;
	color: var(--txt);
	border-left: 4px solid var(--link);
	padding-left: 10px;
}

h3 {
	font-size: 1.2rem;
	margin-top: 10px;
	color: var(--txt);
}

ul {
	list-style: none;
	margin: 10px;
	color: var(--txt);
	margin: 4px 60px;
}

ul li::before {
	content: '◆ ';
	color: var(--btn);
}
/* custom list */
.pink-circle-list {
	counter-reset: step;
	list-style: none;
	padding-left: 0;
	margin: 10px 0;
}

.pink-circle-list li {
	counter-increment: step;
	margin-bottom: 1em;
	position: relative;
	padding-left: 40px;
}

.pink-circle-list li::before {
	content: counter(step);
	position: absolute;
	left: 0;
	top: 0;
	width: 26px;
	height: 26px;
	background-color: var(--link);
	color: var(--white);
	font-weight: bold;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-family: sans-serif;
	font-size: 14px;
}

/*  */
p {
	color: var(--p-txt);
	font-size: 1rem;
	line-height: 1.4rem;
	margin: 4px 0;
}

blockquote {
	padding: 10px;
	font-style: italic;
	color: var(--p-txt);
	margin: 20px auto;
	background-color: var(--background-color);
	border-left: 4px solid var(--btn);
	border-right: 4px solid var(--btn);
}

.btn,
.btn-white {
	display: inline-block;
	background-color: var(--btn);
	color: var(--txt);
	padding: 0.8rem 1.5rem;
	border-radius: var(--border);
	font-weight: bold;
	transition: all 0.3s ease;
	border: none;
	cursor: pointer;
	white-space: nowrap;

	/* Базовое лёгкое свечение */
	box-shadow: 4px 2px 12px var(--link);
}

/* Эффект при наведении */
.btn:hover {
	box-shadow:
		0 0 10px var(--link),
		0 0 20px var(--txt),
		0 0 40px var(--txt),
		0 0 80px var(--link);
	text-shadow:
		0 0 10px var(--txt),
		0 0 20px var(--txt),
		0 0 40px var(--txt);
	transform: scale(1.05);
	color: var(--txt);
}

.btn-white {
	background-color: var(--txt);
	color: var(--btn);
}

.btn-white:hover {
	box-shadow:
		0 0 10px var(--txt),
		0 0 20px var(--link),
		0 0 40px var(--link),
		0 0 80px var(--txt);
	text-shadow:
		0 0 10px var(--link),
		0 0 20px var(--link),
		0 0 40px var(--link);
	transform: scale(1.05);
	color: var(--link);
}

header {
	width: 100%;
	background-color: var(--header);
	position: sticky;
	top: 0;
	z-index: 100;
	border-bottom: 1px solid var(--txt);
	padding: 10px;
}

header img {
	border-radius: 14px;
}

.logo-container {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 80%;
	margin: 0 auto;
	padding: 4px;
}

.logo-nav-container {
	display: flex;
	gap: 30px;
}

.container {
	margin: 20px auto;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 20px;
	padding: 30px;
	background: var(--container);
	border-radius: var(--border);
}

.container-long {
	margin: 20px auto;
	display: flex;
	flex-direction: column;
	align-items: start;
	justify-content: center;
	gap: 10px;
	padding: 30px;
	background: var(--container);
	border-radius: var(--border);
}
.container-long div {
	width: 100%;
}

.flex-container {
	margin: 20px auto;
	display: flex;
	align-items: center;
	justify-content: start;
	gap: 20px;
}

.flex-wrapper {
	width: 100%;
	max-width: 100%;
	min-width: 100%;
	margin: 10px auto;
	display: flex;
	align-items: self-start;
	justify-content: center;
	gap: 26px;
}

.flex-wrapper div {
	width: 100%;
}

.container img,
.container-left img,
.container-long img {
	border-radius: var(--border);
	width: 480px;
	height: auto;
}

.btn-container {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin: 20px auto;
}

.casino-vitrina {
	display: flex;
	flex-direction: column;
	background-color: var(--vitrina);
	border-radius: var(--border);
	padding: 20px 20px;
}

.casino-card {
	display: flex;
	align-items: center;
	justify-content: space-between;
	background-color: var(--container);
	border-radius: 10px;
	overflow: hidden;
	margin: 20px auto;
	color: #fff;
	width: 100%;
}

.casino-rank {
	background: var(--link);
	padding: 60px 10px;
	font-size: 18px;
	font-weight: bold;
	color: white;
	display: flex;
	align-items: center;
	justify-content: center;
}

.casino-left {
	display: flex;
	flex-direction: column;
	align-items: self-start;
	justify-content: center;
	padding: 10px;
	gap: 10px;
}

.casino-logo {
	width: 100px;
	height: auto;
	border-radius: var(--border);
}

.casino-rating {
	background-color: var(--link);
	color: var(--txt);
	padding: 4px 10px;
	border-radius: 20px;
	font-weight: bold;
	display: inline-block;
	gap: 4px;
	margin-top: 12px;
	cursor: pointer;
}

.casino-center {
	padding: 0 20px;
	display: flex;
	gap: 10px;
}

.casino-title {
	margin: 0;
	font-size: 18px;
	font-weight: bold;
}

.casino-actions {
	display: flex;
	flex-direction: column;
	align-items: start;
	justify-content: start;
	gap: 10px;
	padding: 10px;
	width: 16%;
}

.btn-red-bonus {
	padding: 8px 12px;
	background-color: var(--btn);
	border-radius: 12px;
	border: 3px solid var(--link);
	transition: all 0.3s ease;
	text-align: center;
	width: 100%;
	color: var(--white);
}

.btn-red-bonus:hover {
	background-color: inherit;
	border: 3px solid var(--btn);
	color: var(--txt);
}

.table-wrapper {
	overflow-x: auto;
	margin-top: 1.5rem;
	border-radius: var(--border);
	width: 100%;
}

.table-wrapper table {
	width: 100%;
	border-collapse: collapse;
	color: var(--txt);
	font-size: 1rem;
	min-width: 320px;
}

.table-wrapper th {
	background-color: var(--btn);
	color: var(--txt);
	padding: 1rem;
	text-align: left;
	font-weight: 600;
	font-size: 1.05rem;
	border-bottom: 1px solid var(--p-txt);
}

.table-wrapper td {
	padding: 0.9rem 1rem;
	border-bottom: 1px solid var(--p-txt);
	color: var(--light-color);
}

.table-wrapper a {
	color: var(--link);
	text-decoration: none;
	font-weight: 600;
}

.table-wrapper a:hover {
	color: var(--accent);
	text-decoration: underline;
}

/* game block */
.breake {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: centerx;
	width: 100%;
	margin: 20px auto;
	gap: 10px;
}

.breake-block {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 10px;
	padding: 10px 16px;
	border-radius: var(--border);
	background-color: var(--vitrina);
}

.breake-block p {
	background-color: var(--txt);
	border-radius: 120px;
	padding: 10px 12px;
	color: var(--vitrina);
	font-weight: 500;
}

.faq-hr {
	border: 1px solid var(--p-txt);
	width: 100%;
}

footer {
	display: flex;
	flex-direction: column;
	align-items: center;
	background-color: var(--header);
	padding: 10px 200px;
	font-size: 0.8rem;
	gap: 10px;
}

footer a {
	align-self: self-start;
}

.footer-hr {
	border: 1px solid var(--p-txt);
	width: 100%;
}

.banner-bottom {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	background: #000000d3;
	border-top: 1px solid var(--link);
	padding: 15px 20px;
	box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 40px;
	z-index: 1000;
}

.img-cov {
	width: 100%;
	height: 100%;
	max-width: 900px;
	margin: 15px auto;
	min-width: 250px;
}
.img-cov.s {
	max-width: 150px;
	min-width: 150px;
}
.img-cov img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 20px;
}

@media (max-width: 1024px) {
	main {
		max-width: 90%;
	}

	.logo-container {
		width: 96%;
	}

	.container img,
	.container-left img,
	.container-long img {
		width: 300px;
		height: auto;
	}

	.btn-container {
		flex-direction: column;
		justify-content: center;
		align-items: flex-start;
	}

	footer {
		padding: 10px 100px;
	}
}

@media (max-width: 768px) {
	h1 {
		font-size: 2rem;
	}
	main {
		max-width: 96%;
	}

	ul {
		margin: 4px 10px;
	}

	/* header */
	.navigation-list {
		display: none;
	}
	.logo-container {
		width: 96%;
	}

	.container,
	.container-left,
	.container-long,
	.flex-wrapper {
		flex-direction: column;
		padding: 16px;
		gap: 10px;
	}

	.container img,
	.container-left img,
	.container-long img {
		width: 100%;
		height: auto;
	}

	.btn-container {
		flex-direction: column;
		justify-content: center;
		align-items: flex-start;
		gap: 20px;
	}

	/* vitrina */

	.casino-card {
		flex-direction: column;
	}

	.casino-rank {
		height: 0;
		width: 100%;
		padding: 14px 0;
	}

	.casino-logo {
		width: 300px;
		height: auto;
	}

	.casino-actions {
		width: 50%;
		margin-bottom: 10px;
	}

	.banner-bottom {
		gap: 10px;
		width: 100vw;
	}
	/*  */
	footer {
		padding: 10px 20px;
	}
}
